<?php

namespace App\DataTables;

use App\Models\Courier;
use Yajra\DataTables\DataTables;

class CourierDataTable
{
    public static function list($request)
    {
        $model = Courier::getAll();

            return DataTables::of($model)

            ->addColumn('actions', function ($model) {
                $html  = '';
                $html .=  '<a href="javascript:void(0)" data-url="' . route('service-providers.edit', $model->id) . '" class="load-modal" title="Edit">
                            <i class="anticon anticon-form font-size-18"></i>
                        </a>';
                $html .=    '<a href="javascript:void(0)" class="delete custom-modal" data-table="service-providers-table" title="Delete"
                            data-title="Delete Service Provider" data-url="' . route('service-providers.destroy', $model->id) . '"
                            data-msg="Are you sure want to delete?" data-method="delete"
                            data-action-btn="Delete" data-loading-text="Deleting..."
                            data-action="' . route('service-providers.destroy', $model->id) . '">
                            <i class="anticon anticon-delete font-size-18 text-danger"></i>
                        </a>';
                return $html;
            })
            ->rawColumns(['actions'])
            ->addIndexColumn()
            ->make(true);


    }
}
