<?php
namespace App\Http\Controllers;
use App\Models\Ebayaccount;
use App\Models\LogModel;
use Session;
use Illuminate\Http\Request;
class EbayaccountsController extends Controller
{

    public function createAccount() {
        return view('ebayaccount.edit');
    }

    public function editAccount($id) {
        $ebayaccount = Ebayaccount::find($id);
        return view('ebayaccount.edit')->with('ebayaccount',$ebayaccount);
    }


    public function saveAccount(Request $request) {

        $id = $request->id;

        $account = Ebayaccount::find($id);

        if ($account) {
            $account->display_name = $request->displayname;
            $account->app_id = $request->appid;
            $account->dev_id = $request->devid;
            $account->cert_id = $request->certid;
            $account->user_token = $request->usertoken;
            $account->service_url = $request->serviceurl;
            $account->siteid = $request->siteid;
            $account->currency = $request->currency;

            // save the guestbook entry to the database
            $account->save();
        } else {
            $account = array(
                'display_name' => $request->displayname,
                'app_id' => $request->appid,
                'dev_id' => $request->devid,
                'cert_id' => $request->certid,
                'user_token' => $request->usertoken,
                'service_url' => $request->serviceurl,
                'siteid' => $request->siteid,
                'currency' => $request->currency,
            );

            // save the guestbook entry to the database
            Ebayaccount::create($account);
        }
        return view('ebayaccount/list');
    }



    public function listAccount() {

        return view('ebayaccount.list');

    }

    public function removeAccount($id) {


        // delete logs
        LogModel::where('ebayaccount_id', $id)->delete();

        //delete ebay account
        $account = Ebayaccount::find($id);

        $account->delete();
        return view('ebayaccount/list');
    }

}

?>
