<?php

namespace App\Http\Controllers;
use App\Models\Masterconfig;
use Illuminate\Http\Request;
use App\Models\LogModel;

class LogController extends Controller
{
    public function viewLog($pageid) {

        $accountid = session()->get('ebayaccountid');
        $eventsperpage = Masterconfig::where('config_key', 'EVENTS_PER_PAGE')->select('config_value')->first();
        $linksperpage = Masterconfig::where('config_key', 'LINKS_PER_PAGE')->select('config_value')->first();
        $totalrecords = LogModel::where('ebayaccount_id', $accountid)->count();
        // $totalpages =$totalrecords/$eventsperpage;
        // $totalpages = (int)ceil($totalrecords/$eventsperpage);
            $eventsperpage =$eventsperpage->config_value;
            $linksperpage=$linksperpage->config_value;
            $totalpages = (int)ceil($totalrecords/$eventsperpage);




        $logevents =   LogModel::where('ebayaccount_id', $accountid)->take($eventsperpage)
             ->skip(($pageid-1)*$eventsperpage)
             ->orderBy('created_at', 'desc')
             ->get();
             


             return view('viewlog', compact('logevents','pageid','eventsperpage','linksperpage','totalrecords','totalpages'));

        // return View::make('viewlog')->with(array(
        //     'logevents'=>$events,
        //     'pageid'=>$pageid,
        //     'eventsperpage'=>$eventsperpage,
        //     'linksperpage'=>$linksperpage,
        //     'totalrecords'=>$totalrecords,
        //     'totalpages'=>$totalpages));
    }
}
