<?php

namespace App\Http\Controllers;
use App\Models\Masterconfig;
use Illuminate\Http\Request;
use Redirect;

class MasterconfigController extends Controller
{
    public function showMasterconfigs() {
        return view('masterconf.edit');
    }

    public function saveMasterconfigs(Request $request) {

        $EBAY_COMPATIBILITY_LEVEL=$request->EBAY_COMPATIBILITY_LEVEL;
        if($EBAY_COMPATIBILITY_LEVEL){
            Masterconfig::where('config_key','EBAY_COMPATIBILITY_LEVEL')->update([ 'config_value' => $EBAY_COMPATIBILITY_LEVEL]);
        }
        $LINKS_PER_PAGE=$request->LINKS_PER_PAGE;
        if($LINKS_PER_PAGE){
            Masterconfig::where('config_key','LINKS_PER_PAGE')->update([ 'config_value' => $LINKS_PER_PAGE]);
        }
        $EVENTS_PER_PAGE=$request->EVENTS_PER_PAGE;
        if($EVENTS_PER_PAGE){
            Masterconfig::where('config_key','EVENTS_PER_PAGE')->update([ 'config_value' => $EVENTS_PER_PAGE]);
        }
        $DEFAULT_EBAY_ACCOUNT=$request->DEFAULT_EBAY_ACCOUNT;
        if($DEFAULT_EBAY_ACCOUNT){
            Masterconfig::where('config_key','DEFAULT_EBAY_ACCOUNT')->update([ 'config_value' => $DEFAULT_EBAY_ACCOUNT]);
        }
      return Redirect::to('masterconfig');
    }
}
