<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEbayaccountsTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('ebayaccounts', function($t) {
            $t->increments('id');
            $t->string('display_name', 100);
            $t->string('app_id', 100);
            $t->string('dev_id', 100);
            $t->string('cert_id', 100);
            $t->text('user_token');
            $t->string('service_url', 250);
            $t->string('siteid', 5);
            $t->string('currency', 5);
            $t->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::drop('ebayaccounts');
    }

}
