<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMasterconfigTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('masterconfig', function($t) {
            $t->increments('id');
            $t->string('config_key', 100);
            $t->string('config_key_display', 100);
            $t->string('config_value', 100);
            $t->string('list_of_values', 250);
            //$t->string('price_reduction', 100);
            $t->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::drop('masterconfig');
    }

}
