<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateLogTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('log', function($t) {
            $t->increments('id');           
            $t->bigInteger('my_itemid');
            $t->string('action',100);
            $t->integer('ebayaccount_id');
            $t->string('any_message',500);
            $t->string('event_type',20);
            $t->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::drop('log');
    }

}
