<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCompatibilityTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::create('compatibility', function($t) {
            $t->increments('id');           
            $t->string('make',100);
            $t->string('model',100);
            $t->string('variant',100);
            $t->string('bodystyle',100);
            $t->string('cartype',100);
            $t->string('year',100);
            $t->string('engine',100);
            $t->text('notes');
            $t->string('part',100);
            $t->text('itemid');
            $t->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::drop('compatibility');
    }

}
