<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCsvFilesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('compatibility_files', function($t) {
                        $t->increments('id');
                        $t->string('file_path', 32);
                        $t->tinyInteger('status');
                        $t->tinyInteger('terminated_by_user');
                        $t->timestamps();
                });
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('compatibility_files');  
	}

}
