<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCompatibilityFiles extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('compatibility_files', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('task_id');
            $table->string('filename',100);
            $table->string('file_path',100);
            $table->tinyInteger('status');
            $table->tinyInteger('terminated_by_user');
            $table->timestamps();

        });
    }


    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('compatibility_files');
    }
}
