<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMotocycleCompatibilityTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('motocyclecompatibility', function (Blueprint $table) {
            $table->increments('id');
            $table->string('make',100);
            $table->string('model',100);
            $table->string('CCM',100);
            $table->string('Submodel',100);
            $table->string('year',100);
            $table->string('StreetName',100);
            $table->text('notes');
            $table->text('itemid');
            $table->timestamps();
        });


    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('motocyclecompatibility');
    }
}
