$('.chosen-multiple').chosen({
    disable_search_threshold: 10,
});

$('.search').chosen();

$('.countries').on('change', function(evt, params) {
    var deselectedISO = $('.countries option[value="'+params['deselected']+'"]').attr('data-iso') ?? null;
    var selectedISO = $('.countries option[value="'+params['selected']+'"]').attr('data-iso') ?? null;
    chooseCountry(evt,params,selectedISO,deselectedISO);
});

function chooseCountry(evt,params,selectedISO,deselectedISO){

    if(selectedISO){

        var template = 
        '<div class="row" id="'+selectedISO+'">'+
            '<div class="col-md-2"><div class="form-group mt-4 ml-5 btn btn-default">'+selectedISO+'</div></div>'+
            '<div class="col-md-5">'+
                '<div class="form-group">'+
                    '<label for="">Icluded Postcode</label>'+
                    '<input type="text" class="form-control" name="included['+ params['selected'] +']" placeholder="Enter Icluded Postcode" value="" autocomplete="off">'+
                '</div>'+
            '</div>'+
            '<div class="col-md-5">'+
                '<div class="form-group mr-2">'+
                    '<label for="">Excluded Postcode</label>'+
                    '<input type="text" class="form-control" name="excluded['+ params['selected'] +']" placeholder="Enter Excluded Postcode" value="" autocomplete="off">'+
                '</div>'+
            '</div>'+
        '</div>';

        $('.postal-code-fileds').append(template);

    }else if(deselectedISO){
        $('#'+deselectedISO).remove();
    }

}