<div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
            <h4 class="modal-title">Add Courier</h4>
            <button type="button" class="close" data-dismiss="modal">
                <i class="anticon anticon-close"></i>
            </button>
        </div>
        <form id="add-courier-form" method="POST" action="{{ route('couriers.store') }}"
            data-table="service-providers-table">
            <div class="modal-body">
                @csrf
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label>Courier Code</label>
                        <input type="text" class="form-control" name="courier_code" style="width:100%"
                            placeholder="Courier Code" autocomplete="off" required>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label>Courier Name</label>
                        <input type="text" class="form-control" name="courier_name" style="width:100%"
                            placeholder="Courier Name" autocomplete="off" required>
                    </div>
                </div>
                <div class="courier-service-table" style="display: none;">
                    <table class="table table-borderless row-appendable mb-0">
                        <thead>
                            <tr>
                                <th>Service Code</th>
                                <th>Service Name</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody id="services">
                        </tbody>
                    </table>
                    <hr class="mt-1">
                </div>

                <div class="row mt-2">
                    <div class="col-md-12">
                        <div class="text-right">
                            <a href="javascript:;" class="btn btn-outline-primary" id="add-service">Add Service</a>
                        </div>
                    </div>
                </div>
                <div class="row mt-2">
                    <div class="col-md-12">
                        <div id="message-area"></div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default m-r-10" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-success" data-loading-text="Saving...">Save</button>
            </div>
        </form>
    </div>
</div>
