<div class="modal-dialog">
    <div class="modal-content container">
        <div class="modal-header px-0">
            <h4 class="modal-title">Edit Courier</h4>
            <button type="button" class="close" data-dismiss="modal">
                <i class="anticon anticon-close"></i>
            </button>
        </div>
        <form id="edit-courier-form">
            <div class="modal-body px-0">
                @csrf
                <input type="hidden" name="courier_id" value="{{$courier->id}}"/>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label>Courier Code</label>
                        <input type="text" class="form-control" name="courier_code"
                               placeholder="Courier Code" value="{{$courier->code}}"
                               autocomplete="off" required>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label>Courier Name</label>
                        <input type="text" class="form-control" name="courier_name"
                               placeholder="Courier Name (Ex: Yodel)" value="{{$courier->name}}"
                               autocomplete="off" required>
                    </div>
                </div>
                <div class="row mt-2">
                    <div class="col-md-12">
                        <div id="message-area"></div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default m-r-10" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-primary" data-loading-text="Saving...">Save</button>
            </div>
        </form>
    </div>
</div>
