<div class="modal-dialog modal-md">
    <div class="modal-content container">
        <div class="modal-header">
            <h4 class="modal-title">
                Auto Fill Weight Class For 
                    {{-- <small class="alert alert-success mr-2 order_outstanding_note"> --}}
                        {{ $courierService->courier->name }} - {{ $courierService->name }}
                    {{-- </small> --}}
            </h4>
            <button type="button" class="close" data-dismiss="modal">
                <i class="anticon anticon-close"></i>
            </button>
        </div>
        <form id="ajax-form" method="POST" action="{{ route('auto-fill-weight-classes.update', $courierService->id) }}" data-redirection="{{ route('weight-classes.index',$courierService->id) }}">
            @csrf

            <div class="row mt-4">
                <div class="col-md-12">
                    <input type="hidden" name="courier_service_id" value="{{ $courierService->id }}">
                    <div class="form-group">
                        <label for="">Increments Of (kg)</label>
                        <input type="number" step="0.01" class="form-control" name="increments_of" placeholder=""
                            value="{{ $autoFillWeightClass->increments_of ?? '' }}" autocomplete="off" min="1" required>
                    </div>
                    <div class="form-group">
                        <label for="">From</label>
                        <input type="hidden"  name="from"  value="{{ $autoFillWeightClass->from ?? 0 }}">
                        <input type="number" step="0.01" class="form-control" name="from" placeholder=""
                            value="{{ $autoFillWeightClass->from ?? 0 }}" autocomplete="off" {{ $autoFillWeightClass->from ? 'disabled' : '' }} >
                        
                    </div>
                    <div class="form-group">
                        <label for="">Up To (kg)</label>
                        <input type="number"  step="0.01" class="form-control" name="up_to" placeholder="" min="{{ $autoFillWeightClass->from }}"
                            value="{{ $autoFillWeightClass->up_to ?? 10 }}" autocomplete="off" required>
                    </div>
                </div>
                <div class="col-md-12">
                    <div id="message-area"></div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary" data-loading-text="Saving...">Submit</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>