<div class="modal-dialog modal-lg ">
    <div class="modal-content container">
        <div class="modal-header">
            <h4 class="modal-title">Add Zone</h4>
            <button type="button" class="close" data-dismiss="modal">
                <i class="anticon anticon-close"></i>
            </button>
        </div>
        <form id="ajax-form" method="POST" action="{{ route('zones.store') }}" data-table="zone-table">
            @csrf

            <div class="row mt-4">
                <div class="col-md-12 mb-2">
                    <input type="hidden" name="service_type_id" value="{{ $service_type_id }}" id="courier_service_id">
                    <div class="form-group">
                        <label for="">Zone Name</label>
                        <input type="text" class="form-control" name="zone_name" placeholder="Enter Zone Name" value=""
                            autocomplete="off" required>
                    </div>
                    <div class="form-group ">
                        <label for="">Country</label>
                        <select name="country[]" id="country"
                            class="form-control select-dynamic chosen-multiple countries" multiple="multiple">
                            @foreach ($countries as $country)
                                <option value="{{ $country->id }}" data-iso="{{ $country->iso }}">
                                    {{ $country->nicename }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>

                <div class="postal-code-fileds col-md-12"></div>
                
                <div class="col-md-12">
                    <div id="message-area"></div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary" data-loading-text="Saving...">Save</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<script src="{{ asset('js/zone.js') }}"></script>
