@extends('layouts.app')
@section('page-title','Creat Task')
@section('breadcrumb')
<div class="page-header">
    <div class="header-sub-title">
        <nav class="breadcrumb breadcrumb-dash">
            <a href="" class="breadcrumb-item"></a>
        </nav>
    </div>
</div>
@endsection

@section('body')
<div class="card">
    <div class="card-header" style="background-color: #223143;">
        <h2 class="card-title" style=" color: #fff;">Create Task</h2>
    </div>
    <div class="card-body">
        <form class="form-horizontal" action="{{ URL::to('createtask') }}" method="POST" enctype="multipart/form-data">
            @csrf
                <div class="table-responsive">
                    <table class="table table-striped table-hover" id="sample_tabl">
                        <tbody>
                        <div class="col-md-12">
                            @if(Session::get("success"))
                            <div class="alert alert-success">
                                {{ Session::get("success") }}
                            </div>
                            @endif

                            @if(Session::get("error"))
                            <div class="alert alert-danger">
                                {{ Session::get("error") }}
                            </div>
                            @endif
                            <div class="form-group">
                                <label for="task_name" class="col-sm-2 control-label">Task Name</label>
                                <div class="col-sm-6">
                                    <input type="text" name="task_name" class="form-control" id="task_name" placeholder="" required="">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="task_name" class="col-sm-2 control-label">Task Type</label>
                                <div class="col-sm-6">
                                    <select name="select_job" required class="form-control">
                                        <option value="">Select</option>
                                        <option value="1"> Upload Compatibility </option>
                                        <option value="2"> RRP Strikethrough </option>
                                        <option value="3">  Check Image Status & Fixing Image Issues </option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-offset-2 col-sm-10">
                                    <button class="btn btn-default" type="submit" value="submit" name="submit">Create Task</button>
                                </div>
                            </div>
                        </div>
                        </tbody>
                    </table>
                </div>
            </form>
    </div>
</div>



@endsection

@push('js')

@endpush
