@extends('layouts.app')
@section('page-title',"$task_name")





@section('body')
<div class="card">
    <div class="card-header" style="background-color: #223143;">
        <h2 class="card-title" style=" color: #fff;">{{$task_name}}</h2>
    </div>
    <div class="card-body">
        <div class="table-responsive">
            <form class="form-horizontal" action="{{ URL::to('/uploadfile') }}" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="col-md-12">
                    @if(!empty($hasdownload))
                    <a href="/getcsv">Download Link</a>
                    @endif
                    <input type="hidden" value="{{ $directory }}" name="directory"/>
                    <div id="selectFile">
                        <div class="form-group">
                            <label for="task_name" class="col-sm-3 control-label">Choose Compatibility File</label>
                            <div class="col-sm-9">
                                <input type="file" name="compatibilityfile[]"/>
                            </div>
                        </div>
                    </div>
                    <div id="extraFile">

                    </div>
                    <div class="form-group">
                        <div class="col-sm-offset-3 col-sm-9">
                            <button class="btn btn-default" type="button" id="add_another_file">
                                <span class="glyphicon glyphicon-plus" aria-hidden="true"></span> Another File
                            </button>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-offset-3 col-sm-9">
                            <button class="btn btn-primary" type="submit" value="submit" name="submit">Submit</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>


@endsection

@push('js')

@endpush











