
<?php $__env->startSection('page-title', 'Service'); ?>

<?php $__env->startSection('page-header'); ?>
    <div class="row">
        <div class="col-6">
            <h4 class="header-title">Couriers</h4>
        </div>
        <div class="col-6">
            
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('breadcrumb'); ?>
    <div class="header-sub-title">
        <nav class="breadcrumb breadcrumb-dash">
            <a href="<?php echo e(route('home')); ?>" class="breadcrumb-item">Dashboard</a>
            <a href="javascript:;" class="breadcrumb-item">Couriers</a>
        </nav>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('body'); ?>
    <div class="row">
        <div class="col-md-5">
            <div class="card" id="couriers-card">
                <div class="card-header">
                    <div class="d-flex align-items-center justify-content-between">
                        <h5 class="card-title">Couriers</h5>
                        <div class="card-toolbar">
                            <a class="btn btn-outline-primary btn-sm load-modal" href="javascript:;"
                                data-url="<?php echo e(route('couriers.create')); ?>"><i class="anticon anticon-plus"></i> &nbsp;Add
                            </a>
                        </div>
                    </div>
                </div>
                <div class="card-body grid-card spacious">
                    <table class="table table-borderless">
                        <thead>
                            <tr>
                                <th style="width: 50%">Courier Name</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $couriers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $courier): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td style="width: 50%">
                                        <?php echo e($courier->name); ?>

                                    </td>
                                    <td>
                                        <a href="javascript:;" class="badge-button badge badge-default courier"
                                            data-id="<?php echo e($courier->id); ?>">
                                            View
                                        </a>
                                        <a href="javascript:;" class="badge-button badge badge-default load-modal"
                                            data-url="<?php echo e(route('couriers.edit', $courier->id)); ?>">Edit</a>
                                        <a href="javascript:;" class="badge-button badge badge-outline-danger"
                                            data-table="couriers-table" title="Delete" data-title="Delete Courier"
                                            data-url="<?php echo e(route('couriers.destroy', ['courier' => $courier->id])); ?>"
                                            data-msg="Are you sure want to delete?" data-method="delete"
                                            data-action-btn="Delete" data-loading-text="Deleting..."
                                            data-form-id="delete-courier-form" data-id="<?php echo e($courier->id); ?>"
                                            data-action="<?php echo e(route('couriers.destroy', $courier->id)); ?>">Delete</a>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <div class="col-md-7">
            <div class="card" id="courier-services-card" style="display: none;">
                <div class="card-header">
                    <div class="d-flex align-items-center justify-content-between" id="service-name-title"></div>
                </div>
                <div class="card-body grid-card spacious">
                    <div class="w-100 text-center">
                        <div class="lds-ellipsis" id="loader">
                            <div></div>
                            <div></div>
                            <div></div>
                            <div></div>
                        </div>
                    </div>
                    <div id="courier-services-content" style="display: none">
                        <table id="courier-services-table" class="table">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Code</th>
                                    <th>Name</th>
                                    <th>Currency</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody></tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('js'); ?>
    <script src="<?php echo e(asset('js/couriers.js?v-1')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp-7\htdocs\hect\hect-billing-system\resources\views/admin/billing/courier/index.blade.php ENDPATH**/ ?>