<!DOCTYPE html>
<html lang="en">
<?php echo $__env->make('layouts.head', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->yieldPushContent('css'); ?>
<?php echo $__env->yieldContent('page_style'); ?>

<body>
    <div class="app">
        <div class="layout">
            <!-- Header START -->
            <?php echo $__env->make('layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <!-- Header END -->

            <!-- Side Nav START -->
            <?php echo $__env->make('layouts.side_bar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <!-- Side Nav END -->


            <!-- Page Container START -->
            <div class="page-container">
                <div class="main-content">
                    <div class="page-header">
                        <?php if($accountid = session()->get('ebayaccountid')): ?>
                        <?php echo e(\App\Models\Ebayaccount::find($accountid)->display_name ??''); ?>

                        <?php endif; ?>

                        <?php echo $__env->yieldContent('page-header'); ?>
                        <?php echo $__env->yieldContent('breadcrumb'); ?>
                    </div>

                    <!-- Content Wrapper START -->
                    <?php echo $__env->yieldContent('body'); ?>
                    <!-- Content Wrapper END -->

                </div>
            </div>
            <!-- Page Container END -->


        </div>
    </div>

    <?php echo $__env->make('layouts.modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('layouts.scripts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->yieldPushContent('js'); ?>

</body>

</html>
<?php /**PATH C:\xampp-7\htdocs\ebaymotorsNew\resources\views/layouts/app.blade.php ENDPATH**/ ?>