<?php $__env->startSection('page-title','Master Configurations'); ?>



<?php $__env->startSection('breadcrumb'); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('body'); ?>
<div class="card">
    <div class="card-header" style="background-color: #223143;">
        <h2 class="card-title" style=" color: #fff;">Edit Master Configurations</h2>
    </div>
    <div class="card-body">
        <div class="col-md-12 text-right">
            <a style="margin-bottom: 10px;" href="<?php echo e(URL::to("create_task")); ?>" class="btn btn-primary">Create Task</a>
        </div>
        <div class="table-responsive">
            <table class="table table-hover" id="sample_tabl">
                <tbody>
                    <tr>
                        <th>ID</th>
                        <th>Task Name</th>
                        <th>Job Type</th>
                        <th>Status</th>
                        <th>Control</th>
                    </tr>
                    <?php $__currentLoopData = $tasks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $task): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($task->id); ?></td>
                        <td><?php echo e($task->name); ?></td>
                        <?php if($task->job_type == 1): ?>
                        <td>Compatibility</td>
                        <?php elseif($task->job_type == 2): ?>
                        <td>RRP Strikethrough </td>
                        <?php elseif($task->job_type == 3): ?>
                        <td>Fixing Image </td>
                        <?php endif; ?>



                        <?php if($task->status == 2): ?>
                        <td>On Process</td>
                        <?php elseif($task->status == 1): ?>
                        <td>Queued</td>
                        <?php else: ?>
                        <td>Completed</td>
                        <?php endif; ?>

                        <!-- Delete Button -->
                        <?php if($task->status == 1): ?>
                        <td><a class="btn btn-sm btn-danger" href="<?php echo e(URL::to('delete_task/'.$task->id)); ?>"><i class="anticon anticon-delete"></i></a></td>
                        <?php elseif($task->status == 0): ?>
                        <td>
                            
                            <?php if($task->job_type == 1): ?>
                            <a class="btn btn-sm btn-success" href="/ebaymotors/public/csv_reports/<?php echo e($task->directory); ?>/<?php echo e($task->name); ?>-1.csv"><i class="fa fa-arrow-circle-down"></i></a>
                            <?php elseif($task->job_type == 3): ?>
                            <a class="btn btn-sm btn-success" href="/ebaymotors/public/image_urlerror/<?php echo e($task->name.'_'.$task->id); ?>.csv"><i class="fa fa-arrow-circle-down"></i></a>
							<?php else: ?>
								
							<a class="btn btn-sm btn-success" href="/ebaymotors/public/rrp/<?php echo e($task->name); ?>.csv"><i class="fa fa-arrow-circle-down"></i></a>
							

                            <?php endif; ?>




                            <a class="btn btn-sm btn-danger" href="<?php echo e(URL::to('delete_task/'.$task->id)); ?>"><i class="anticon anticon-delete"></i></i></a>
                        </td>
                        <?php else: ?>
                        <td><a class="btn btn-sm" href="<?php echo e(URL::to('stop_task/'.$task->id)); ?>"><i class="anticon"></i></a></td>
                        <?php endif; ?>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('js'); ?>

<?php $__env->stopPush(); ?>












<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\ebaymotors\resources\views/compatibility/tasks.blade.php ENDPATH**/ ?>