<?php

namespace App\Http\Controllers;
use App\Models\Ebayaccount;
use App\Models\Masterconfig;
use Session;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $ebayaccount = Ebayaccount::orderBy('id','asc')->get();

        // \App\Models\Masterconfig::all();
$masterconfig =Masterconfig::where('config_key','DEFAULT_EBAY_ACCOUNT')->first();



        if(isset($masterconfig->config_value)){
            Session::put('ebayaccountid', $masterconfig->config_value);
        }else{
            Session::put('ebayaccountid', 1);
        }

        return view('compatibility.checkupload_compatibility');
    }

}
