<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
use App\Models\User;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        User::updateOrCreate([
            'email' => 'super@mail.com'
        ],[
            'name' => 'Super Admin',
            'email' => 'super@mail.com',
            'password' => Hash::make('admin123')
        ]);
    }
}
