$(document).on('click', '#show-service-prices', function () {
    if ($(this).hasClass('text-primary')) {
        $(this).removeClass('text-primary')
            .addClass('text-dark');

        $('.service-prices').hide();
    } else if ($(this).hasClass('text-dark')) {
        $(this).removeClass('text-dark')
            .addClass('text-primary');
        $('.service-prices').show();
    }
});

$(document).on('change', 'td input[name^=service_price]', async function () {
    let val = $(this).val();
    let customerId = $('#customer_id').val();
    let courierServiceId = $('#courier_service_id').val();

    let url = baseURL + '/admin/billing/customer-service-prices?_token=' + csrfToken;
    let data = $(this).serialize() + '&courier_service_id=' + courierServiceId + '&customer_id=' + customerId;
    let response = await doAjaxPost(url, 'POST', data);
    notify(response.message, response.result);
});
