<div class="modal-dialog modal-lg ">
    <div class="modal-content container">
        <div class="modal-header">
            <h4 class="modal-title">Add Weight Class</h4>
            <button type="button" class="close" data-dismiss="modal">
                <i class="anticon anticon-close"></i>
            </button>
        </div>
        <form id="ajax-form" method="PUT" action="{{ route('weight-classes.update',$weightClass->id) }}"  data-table="weight-class-table">
            @csrf

            <div class="row mt-4">
                <div class="col-md-12">
                    <div class="form-group">
                        <label for="">Weight Class Name</label>
                        <input type="text" class="form-control" name="weight_class_name" placeholder="Enter Weight Class Name"
                            value="{{ $weightClass->weight_class_name }}" autocomplete="off" required>
                    </div>
                    <div class="form-group">
                        <label for="">Min Weight (kg)</label>
                        <input  type="number" step="0.01" class="form-control" name="min_weight" placeholder="Enter Min Weight"
                            value="{{ $weightClass->min_weight }}" autocomplete="off" required>
                    </div>
                    <div class="form-group">
                        <label for="">Max Weight (kg)</label>
                        <input  type="number" step="0.01" class="form-control" name="max_weight" placeholder="Enter Max Weight"
                            value="{{ $weightClass->max_weight }}" autocomplete="off" required>
                    </div>
                </div>
                <div class="col-md-12">
                    <div id="message-area"></div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary" data-loading-text="Saving...">Save</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>