<div class="modal-dialog modal-lg ">
    <div class="modal-content container">
        <div class="modal-header">
            <h4 class="modal-title">Billing Company</h4>
            <button type="button" class="close" data-dismiss="modal">
                <i class="anticon anticon-close"></i>
            </button>
        </div>
        <div class="modal-body">
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label for="">Company Name : <b> {{ $company->company_name }}  </b> </label>
                    </div>
                    <div class="form-group">
                        <label for="">Company Email : <b> {{ $company->email }} </b> </label>
                    </div>
                    <div class="form-group">
                        <label for="">Address Line 1 : <b> {{ $company->address_line_1 }} </b> </label>
                    </div>
                    <div class="form-group">
                        <label for="">Address Line 2 : <b> {{ $company->address_line_2 }} </b> </label>
                    </div>
                    <div class="form-group">
                        <label for="">City : <b> {{ $company->city }} </b> </label>
                    </div>
                    <div class="form-group">
                        <label for="">Country : <b> {{ $company->country }} </b> </label>
                    </div>
                    <div class="form-group">
                        <label for="">Telephone : <b> {{ $company->phone }} </b> </label>
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group">
                        <label for="">Company Number : <b> {{ $company->company_number }} </b> </label>
                    </div>
                    <div class="form-group">
                        <label for="">VAT Number : <b> {{ $company->vat_number }} </b> </label>
                    </div>
                    <div class="form-group">
                        <label for="">Bank Name : <b> {{ $company->bank_name }} </b> </label>
                    </div>
                    <div class="form-group">
                        <label for="">Bank Sort Code : <b> {{ $company->bank_sort_code }} </b> </label>
                    </div>
                    <div class="form-group">
                        <label for="">Bank Account Number : <b> {{ $company->bank_account_number }} </b> </label>
                    </div>
                    <div class="form-group">
                        <label for="">Company Logo URL: <b> {{ $company->company_logo_url }}  </b> </label>
                    </div>
                    <div class="form-group">
                        <label>Tracking Verification : @if($company->tracking_verification) <span class="badge badge-success"><i class="fa fa-check" ></i></span> @else <span class="badge badge-error"><i class="fa fa-times" ></i></span>  @endif</label>
                    </div>
                </div>

                <div class="col-md-12">
                    <label for="" class="mt-3"><b>Xero account linked</b></label>
                </div>

                <div class="col-md-6">
                    <div class="form-group">
                        <label for="">Courier Charges - Parcel Domestic Account Code : <b> {{ $company->xeroAccount->parcel_domestic_account_code ?? '' }} </b> </label>
                    </div>
                    <div class="form-group">
                        <label for="">Courier Charges - Parcel International Account Code : <b> {{ $company->xeroAccount->parcel_international_account_code ?? '' }} </b> </label>
                    </div>
                    <div class="form-group">
                        <label for="">Default Account Code : <b> {{ $company->xeroAccount->account_code ?? '' }} </b> </label>
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group">
                        <label for="">Courier Charges - Post Domestic Account Code : <b>{{ $company->xeroAccount->post_domestic_account_code ?? '' }} </b> </label>
                    <div class="form-group">
                        <label for="">Courier Charges - Post International Account Code : <b> {{ $company->xeroAccount->post_international_account_code ?? '' }} </b> </label>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>

