@extends('layouts.app')
@section('page-title','Add/Edit Account')
@section('body')
<div class="card">
    <div class="card-header" style="background-color: #223143;">
        <h2 class="card-title" style=" color: #fff;">Add/Edit Ebay Account</h2>
    </div>
    <div class="card-body">
        <form action="{{ URL::to('/ebayaccount/save') }}" method="POST">
            @csrf
            <input type="hidden" name="id" value="{{ isset($ebayaccount) ? $ebayaccount->id : '' }}"/>
            <div class="table-responsive">
                <table class="table table-hover" id="sample_tabl">
                    <tbody>
                        <tr>
                            <td>Display Name</td>
                            <td><input type="text" name="displayname" value="{{ isset($ebayaccount) ? $ebayaccount->display_name : '' }}" size="50" maxlength="50"></td>
                        </tr>
                        <tr>
                            <td>App ID</td>
                            <td><input type="text" name="appid" value="{{ isset($ebayaccount) ? $ebayaccount->app_id : '' }}" size="50" maxlength="50"></td>
                        </tr>
                        <tr>
                            <td>Dev ID</td>
                            <td><input type="text" name="devid" value="{{ isset($ebayaccount) ? $ebayaccount->dev_id : '' }}" size="50" maxlength="50"></td>
                        </tr>
                        <tr>
                            <td>Cert ID</td>
                            <td><input type="text" name="certid" value="{{ isset($ebayaccount) ? $ebayaccount->cert_id : '' }}" size="50" maxlength="50"></td>
                        </tr>
                        <tr>
                            <td>Service URL</td>
                            <td><input type="text" name="serviceurl" value="{{ isset($ebayaccount) ? $ebayaccount->service_url : '' }}" size="100" maxlength="100"></td>
                        </tr>
                        <tr>
                            <td>Site ID</td>
                            <td><input type="text" name="siteid" value="{{ isset($ebayaccount) ? $ebayaccount->siteid : '' }}" size="10" maxlength="10"></td>
                        </tr>
                        <tr>
                            <td>Currency</td>
                            <td><input type="text" name="currency" value="{{ isset($ebayaccount) ? $ebayaccount->currency : '' }}" size="10" maxlength="10"></td>
                        </tr>
                        <tr>
                            <td>User Token</td>
                            <td><textarea name="usertoken" rows="5" cols="30">{{ isset($ebayaccount) ? $ebayaccount->user_token : '' }}</textarea></td>
                        </tr>
                        <tr>
                            <td></td>
                            <td><input type="submit" name="submit" value="submit">
                                <input type="reset" name="reset" value="reset"></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </form>
    </div>
</div>
@endsection
@push('js')
@endpush









