@extends('layouts.app')
@section('page-title','Account List')

@section('breadcrumb')

@endsection

@section('body')
<div class="card">
    <div class="card-header" style="background-color: #223143;">
        <h2 class="card-title" style=" color: #fff;">Ebay-Account List</h2>
    </div>
    <div class="card-body">
            <div class="card">
                <div class="card-body">
                    <div class="row m-b-30">
                        <div class="col-lg-8">
                        </div>
                        <div class="col-lg-4 text-right">
                            <a class="btn btn-primary " href="{{ URL::to('ebayaccount/add') }}">
                                Add New <i class="anticon-file-excel m-r-5"></i>
                                </a>
                        </div>
                    </div>
                    <div class="">
                        <div id="" class="dt-bootstrap4 no-footer"><div class="row">
                            <div class="col-sm-12 col-md-6">
                                <div class="dataTables_length" id="DataTables_Table_0_length">
                                    {{-- <label>Show
                                        <select name="DataTables_Table_0_length" aria-controls="DataTables_Table_0" class="custom-select custom-select-sm form-control form-control-sm">
                                            <option value="10">10</option>
                                            <option value="25">25</option>
                                            <option value="50">50</option>
                                            <option value="100">100</option>
                                        </select> entries
                                    </label> --}}
                                    </div>
                                </div>
                                <div class="col-sm-12 col-md-6">
                                    <div id="DataTables_Table_0_filter" class="dataTables_filter">
                                        {{-- <label>Search:
                                            <input type="search" class="form-control form-control-sm" placeholder="" aria-controls="DataTables_Table_0">
                                        </label> --}}
                                    </div>
                                </div>
                            </div>
                            <div class="row"><div class="col-sm-12"><table class="table table-hover e-commerce-table dataTable no-footer" id="DataTables_Table_0" role="grid" aria-describedby="DataTables_Table_0_info">
                            <thead>
                                <tr role="row">
                                    <th class="sorting" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" aria-label="ID: activate to sort column ascending" style="width: 57.8594px;">ID</th>
                                    <th class="sorting" tabindex="0" aria-controls="DataTables_Table_0" rowspan="1" colspan="1" aria-label=": activate to sort column ascending" style="width: 81.1406px;"></th></tr>
                            </thead>
                            <tbody>


                                @foreach (\App\Models\Ebayaccount::all()  as $account)
                                <tr role="row" class="odd">
                                    <td>
                                        <a href="{{ URL::to('ebayaccount/list') }}/{{ $account->id }}">{{ $account->display_name }}</a>
                                    </td>
                                    <td class="text-right">
                                        <a class="btn btn-sm btn-success anticon anticon-edit" href="{{ URL::to('ebayaccount/edit') }}/{{ $account->id }}"><i class="fa fa-glyphicon-edit"></i></a>
                                        <a class="btn btn-sm btn-danger anticon anticon-delete" href="{{ URL::to('ebayaccount/delete') }}/{{ $account->id }}"  data-original-title="Delete"><i class="glyphicon glyphicon-remove-circle"></i></a>

                                    </td>
                                </tr>
                                @endforeach


                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12 col-md-5">
                        <div class="dataTables_info" id="DataTables_Table_0_info" role="status" aria-live="polite"></div></div><div class="col-sm-12 col-md-7"><div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate"><ul class="pagination"><li class="paginate_button page-item previous disabled" id="DataTables_Table_0_previous"><a href="#" aria-controls="DataTables_Table_0" data-dt-idx="0" tabindex="0" class="page-link">Previous</a></li><li class="paginate_button page-item active"><a href="#" aria-controls="DataTables_Table_0" data-dt-idx="1" tabindex="0" class="page-link">1</a></li><li class="paginate_button page-item next disabled" id="DataTables_Table_0_next"><a href="#" aria-controls="DataTables_Table_0" data-dt-idx="2" tabindex="0" class="page-link">Next</a></li></ul></div></div></div></div>
                    </div>
                </div>

    </div>
</div>

@endsection

@push('js')

@endpush




