<div class="side-nav">
    <div class="side-nav-inner">
        <ul class="side-nav-menu scrollable" style="padding-top: 30px;">

            <li class="nav-item dropdown {{ \Request::is("javascript:void(0)") ? 'active':''}}">
                <a class="dropdown-toggle" href="javascript:void(0);">
                    <span class="icon-holder">
                        <i class="anticon anticon-appstore"></i>
                    </span>
                    <span class="title"> E-Bay Accounts </span>
                    <span class="arrow">
                        <i class="arrow-icon"></i>
                    </span>
                </a>
                <ul class="dropdown-menu">
                    {{-- @if(isset($ebayaccount)) --}}
                @foreach (\App\Models\Ebayaccount::all() as $account)
                <li class="nav-item dropdown {{ \Request::is("ebayaccount/list/$account->id") ? 'active':''}}">
                    <a href="{{ URL::to('ebayaccount/list') }}/{{ $account->id }}">
                        {{-- <span class="icon-holder">
                            <i class="anticon anticon-usergroup-add"></i>
                        </span> --}}
                        <span class="title">{{ $account->display_name }}</span>
                    </a>
                </li>


                @endforeach
                {{-- @endif --}}
                <li class="nav-item dropdown  {{ \Request::is('ebayaccount/list') ? 'active':''}}">
                    <a href="{{ URL::to('ebayaccount/list') }}">
                        <span class="icon-holder">
                            <i class="anticon anticon-usergroup-add"></i>
                        </span>
                        <span class="title">Edit...</span>
                    </a>
                </li>
            </ul>


            </li>

            <li class="nav-item dropdown {{ \Request::is('masterconfig') ? 'active':''}}">
                <a class="dropdown-toggle" href="{{ URL::to('/masterconfig') }}">
                    <span class="icon-holder">
                        <i class="anticon anticon-setting"></i>
                    </span>
                    <span class="title"> Master Config </span>
                </a>
            </li>


            <li class="nav-item dropdown {{ \Request::is('tasks') ? 'active':''}}">
                <a class="dropdown-toggle" href="{{ URL::to('/tasks') }}">
                    <span class="icon-holder">
                        <i class="anticon anticon-upload"></i>
                    </span>
                    <span class="title"> Upload File </span>
                </a>
            </li>


            <li class="nav-item dropdown {{ \Request::is('compatibility') ? 'active':''}}">
                <a class="dropdown-toggle" href="{{ URL::to('/compatibility') }}">
                    <span class="icon-holder">
                        <i class="anticon anticon-upload"></i>
                    </span>
                    <span class="title"> Copy Compatibility Items</span>
                </a>
            </li>


            <li class="nav-item dropdown {{ \Request::is('checkcompatibility') ? 'active':''}}">
                <a class="dropdown-toggle" href="{{ URL::to('/checkcompatibility') }}">
                    <span class="icon-holder">
                        <i class="anticon anticon-check-circle"></i>
                    </span>
                    <span class="title"> Check Compatibility </span>
                </a>
            </li>
	
            <li class="nav-item dropdown {{ \Request::is('downloadCompatibility') ? 'active':''}}">
                <a class="dropdown-toggle" href="{{ URL::to('/downloadCompatibility') }}">
                    <span class="icon-holder">
                        <i class="anticon anticon-check-circle"></i>
                    </span>
                    <span class="title"> Download Compatibility </span>
                </a>
            </li>

            <li class="nav-item dropdown {{ \Request::is('getitemhtmldescription') ? 'active':''}}">
                <a class="dropdown-toggle" href="{{ URL::to('/getitemhtmldescription') }}">
                    <span class="icon-holder">
                        <i class="anticon anticon-download"></i>
                    </span>
                    <span class="title"> Download Item Details </span>
                </a>
            </li>


            <!-- <li class="nav-item dropdown {{ \Request::is('recommendedretailpriceform') ? 'active':''}}">
                <a class="dropdown-toggle" href="{{ URL::to('/recommendedretailpriceform') }}">
                    <span class="icon-holder">
                        <i class="anticon anticon-code"></i>
                    </span>
                    <span class="title"> RRP Strikethrough </span>
                </a>
            </li> -->


            <!-- <li class="nav-item dropdown {{ \Request::is('imageuploader') ? 'active':''}}">
                <a class="dropdown-toggle" href="{{ URL::to('/imageuploader') }}">
                    <span class="icon-holder">
                        <i class="anticon anticon-picture"></i>
                    </span>
                    <span class="title"> Check Image Status </span>
                </a>
            </li>

            <li class="nav-item dropdown {{ \Request::is('fixing-thumbnail') ? 'active':''}}">
                <a class="dropdown-toggle" href="{{ URL::to('/fixing-thumbnail') }}">
                    <span class="icon-holder">
                        <i class="anticon anticon-api"></i>
                    </span>
                    <span class="title"> Fixing Image Issues </span>
                </a>
            </li> -->

            <li class="nav-item dropdown {{ \Request::is('viewlog/page/*') ? 'active':''}}">
                <a class="dropdown-toggle" href="{{ URL::to('/viewlog/page/1') }}">
                    <span class="icon-holder">
                        <i class="anticon anticon-diff"></i>
                    </span>
                    <span class="title"> View Log </span>
                </a>
            </li>
            <li class="nav-item dropdown">
                <a  class="dropdown-toggle" href="javascript:void(0);" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                    <span class="icon-holder">
                        <i class="anticon anticon-logout"></i>
                    </span>
                    <span class="title"> Logout </span>
                    <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                        @csrf
                </form>
                </a>
            </li>

            {{-- <li class="nav-item dropdown">
                <a class="dropdown-toggle" href="javascript:void(0);" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                        <span class="title"> <i class="anticon anticon-logout"></i>
                            <span class="m-l-10">Logout</span>
                        </span>
                        <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                @csrf
                        </form>
                </a>
            </li> --}}



        </ul>
    </div>
</div>
