<div class="side-nav">
    <div class="side-nav-inner">
        <ul class="side-nav-menu scrollable" style="padding-top: 30px;">

            <li class="nav-item dropdown <?php echo e(\Request::is("javascript:void(0)") ? 'active':''); ?>">
                <a class="dropdown-toggle" href="javascript:void(0);">
                    <span class="icon-holder">
                        <i class="anticon anticon-appstore"></i>
                    </span>
                    <span class="title"> E-Bay Accounts </span>
                    <span class="arrow">
                        <i class="arrow-icon"></i>
                    </span>
                </a>
                <ul class="dropdown-menu">
                    
                <?php $__currentLoopData = \App\Models\Ebayaccount::all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li class="nav-item dropdown <?php echo e(\Request::is("ebayaccount/list/$account->id") ? 'active':''); ?>">
                    <a href="<?php echo e(URL::to('ebayaccount/list')); ?>/<?php echo e($account->id); ?>">
                        
                        <span class="title"><?php echo e($account->display_name); ?></span>
                    </a>
                </li>


                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                
                <li class="nav-item dropdown  <?php echo e(\Request::is('ebayaccount/list') ? 'active':''); ?>">
                    <a href="<?php echo e(URL::to('ebayaccount/list')); ?>">
                        <span class="icon-holder">
                            <i class="anticon anticon-usergroup-add"></i>
                        </span>
                        <span class="title">Edit...</span>
                    </a>
                </li>
            </ul>


            </li>

            <li class="nav-item dropdown <?php echo e(\Request::is('masterconfig') ? 'active':''); ?>">
                <a class="dropdown-toggle" href="<?php echo e(URL::to('/masterconfig')); ?>">
                    <span class="icon-holder">
                        <i class="anticon anticon-setting"></i>
                    </span>
                    <span class="title"> Master Config </span>
                </a>
            </li>


            <li class="nav-item dropdown <?php echo e(\Request::is('tasks') ? 'active':''); ?>">
                <a class="dropdown-toggle" href="<?php echo e(URL::to('/tasks')); ?>">
                    <span class="icon-holder">
                        <i class="anticon anticon-upload"></i>
                    </span>
                    <span class="title"> Upload File </span>
                </a>
            </li>


            <li class="nav-item dropdown <?php echo e(\Request::is('compatibility') ? 'active':''); ?>">
                <a class="dropdown-toggle" href="<?php echo e(URL::to('/compatibility')); ?>">
                    <span class="icon-holder">
                        <i class="anticon anticon-upload"></i>
                    </span>
                    <span class="title"> Copy Compatibility Items</span>
                </a>
            </li>


            <li class="nav-item dropdown <?php echo e(\Request::is('checkcompatibility') ? 'active':''); ?>">
                <a class="dropdown-toggle" href="<?php echo e(URL::to('/checkcompatibility')); ?>">
                    <span class="icon-holder">
                        <i class="anticon anticon-check-circle"></i>
                    </span>
                    <span class="title"> Check Compatibility </span>
                </a>
            </li>
	
            <li class="nav-item dropdown <?php echo e(\Request::is('downloadCompatibility') ? 'active':''); ?>">
                <a class="dropdown-toggle" href="<?php echo e(URL::to('/downloadCompatibility')); ?>">
                    <span class="icon-holder">
                        <i class="anticon anticon-check-circle"></i>
                    </span>
                    <span class="title"> Download Compatibility </span>
                </a>
            </li>

            <li class="nav-item dropdown <?php echo e(\Request::is('getitemhtmldescription') ? 'active':''); ?>">
                <a class="dropdown-toggle" href="<?php echo e(URL::to('/getitemhtmldescription')); ?>">
                    <span class="icon-holder">
                        <i class="anticon anticon-download"></i>
                    </span>
                    <span class="title"> Download Item Details </span>
                </a>
            </li>


            <!-- <li class="nav-item dropdown <?php echo e(\Request::is('recommendedretailpriceform') ? 'active':''); ?>">
                <a class="dropdown-toggle" href="<?php echo e(URL::to('/recommendedretailpriceform')); ?>">
                    <span class="icon-holder">
                        <i class="anticon anticon-code"></i>
                    </span>
                    <span class="title"> RRP Strikethrough </span>
                </a>
            </li> -->


            <!-- <li class="nav-item dropdown <?php echo e(\Request::is('imageuploader') ? 'active':''); ?>">
                <a class="dropdown-toggle" href="<?php echo e(URL::to('/imageuploader')); ?>">
                    <span class="icon-holder">
                        <i class="anticon anticon-picture"></i>
                    </span>
                    <span class="title"> Check Image Status </span>
                </a>
            </li>

            <li class="nav-item dropdown <?php echo e(\Request::is('fixing-thumbnail') ? 'active':''); ?>">
                <a class="dropdown-toggle" href="<?php echo e(URL::to('/fixing-thumbnail')); ?>">
                    <span class="icon-holder">
                        <i class="anticon anticon-api"></i>
                    </span>
                    <span class="title"> Fixing Image Issues </span>
                </a>
            </li> -->

            <li class="nav-item dropdown <?php echo e(\Request::is('viewlog/page/*') ? 'active':''); ?>">
                <a class="dropdown-toggle" href="<?php echo e(URL::to('/viewlog/page/1')); ?>">
                    <span class="icon-holder">
                        <i class="anticon anticon-diff"></i>
                    </span>
                    <span class="title"> View Log </span>
                </a>
            </li>
            <li class="nav-item dropdown">
                <a  class="dropdown-toggle" href="javascript:void(0);" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                    <span class="icon-holder">
                        <i class="anticon anticon-logout"></i>
                    </span>
                    <span class="title"> Logout </span>
                    <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                        <?php echo csrf_field(); ?>
                </form>
                </a>
            </li>

            



        </ul>
    </div>
</div>
<?php /**PATH C:\xampp\htdocs\newebaymotors\resources\views/layouts/side_bar.blade.php ENDPATH**/ ?>