<div class="header">
    <div class="logo">
        <a href="">
            <span class="title"> E-Bay  </span>
            
        </a>
    </div>
    <div class="nav-wrap">
        <ul class="nav-left">
            <li class="desktop-toggle">
                <a href="javascript:void(0);">
                    <i class="anticon"></i>
                </a>
            </li>
            <li class="mobile-toggle">
                <a href="javascript:void(0);">
                    <i class="anticon"></i>
                </a>
            </li>
        </ul>
        <ul class="nav-right">
            <?php if(auth()->guard()->check()): ?>
            <li class="dropdown dropdown-animated scale-left">

                <div class="pointer" data-toggle="dropdown">
                    <div class="avatar avatar-image  m-h-10 m-r-15">
                        <?php if(!file_exists(public_path('storage/images/users/' . Auth::user()->id . '.png'))): ?>
                            <img src="<?php echo e(asset('images/default/user.png')); ?>" alt="User Image">
                        <?php else: ?>
                            <img src="<?php echo e(asset('storage/images/users/' . Auth::user()->id . '.png')); ?>" alt="">
                        <?php endif; ?>
                    </div>
                </div>

                <div class="p-b-15 p-t-20 dropdown-menu pop-profile">
                    <a href="javascript:void(0);" class="dropdown-item d-block p-h-15 p-v-10"
                        onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                        <div class="d-flex align-items-center justify-content-between">
                            <div>
                                <i class="anticon opacity-04 font-size-16 anticon-logout"></i>
                                <span class="m-l-10">Logout</span>
                            </div>
                            <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST"
                                class="d-none">
                                <?php echo csrf_field(); ?>
                            </form>
                        </div>
                    </a>
                </div>
            </li>
            
            <?php endif; ?>
        </ul>
    </div>
</div>

<!-- Quick View START -->
<div class="modal modal-right fade quick-view" id="quick-view">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header justify-content-between align-items-center">
                <h5 class="modal-title">Theme Config</h5>
            </div>
            <div class="modal-body scrollable">
                <div>
                    <h5 class="m-b-0">Nav Dark</h5>
                    <p>Change Nav to dark</p>
                    <div class="switch d-inline">
                        <input type="checkbox" name="side-nav-theme-toogle" id="side-nav-theme-toogle">
                        <label for="side-nav-theme-toogle"></label>
                    </div>
                </div>
                <hr>
                <div>
                    <h5 class="m-b-0">Folded Menu</h5>
                    <p>Toggle Folded Menu</p>
                    <div class="switch d-inline">
                        <input type="checkbox" name="side-nav-fold-toogle" id="side-nav-fold-toogle">
                        <label for="side-nav-fold-toogle"></label>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Quick View END -->
<?php /**PATH C:\xampp\htdocs\ebaymotorsNew\resources\views/layouts/header.blade.php ENDPATH**/ ?>